<?php
/**
* 公共起初处理文件
* @author moufer<moufer@163.com>
* @package 
* @copyright wa666.cn
* @version $Id$
*/
define('IN_MUDDER', TRUE);
define('MUDDER_ROOT', dirname(dirname(__FILE__)).DIRECTORY_SEPARATOR);

ob_start();
$timestamp = time();
require_once MUDDER_ROOT.'./install/global.func.php';
require_once MUDDER_ROOT.'./include/version.php';

//兼容性
if(PHP_VERSION < '4.1.0') {
	$_GET = &$HTTP_GET_VARS;
	$_POST = &$HTTP_POST_VARS;
	$_COOKIE = &$HTTP_COOKIE_VARS;
	$_SERVER = &$HTTP_SERVER_VARS;
	$_ENV = &$HTTP_ENV_VARS;
	$_FILES = &$HTTP_POST_FILES;
}

$magic_quotes_gpc = get_magic_quotes_gpc();
if(!$magic_quotes_gpc) {
	$_POST = add_slashes($_POST);
	$_GET = add_slashes($_GET);
	$_COOKIE = add_slashes($_COOKIE);
	$_FILES && $_FILES = add_slashes($_FILES);
}
@extract($_POST, EXTR_SKIP);
@extract($_GET, EXTR_SKIP);
unset($_POST, $_GET);

$php_self = $_SERVER['PHP_SELF'] ? $_SERVER['PHP_SELF'] : $_SERVER['SCRIPT_NAME'];
?>
